Next: LBOUND, Previous: KILL, Up: Intrinsic Procedures [Contents][Index]

### 9.154 `KIND` — Kind of an entity

Description:

  `KIND(X)` returns the kind value of the entity X.

Standard:

  Fortran 95 and later

Class:

  Inquiry function

Syntax:

  `K = KIND(X)`

Arguments:

  X | Shall be of type `LOGICAL`, `INTEGER`, `REAL`, `COMPLEX` or `CHARACTER`.

Return value:

  The return value is a scalar of type `INTEGER` and of the default integer kind.

Example:

      program test_kind
        integer,parameter :: kc = kind(' ')
        integer,parameter :: kl = kind(.true.)

        print *, "The default character kind is ", kc
        print *, "The default logical kind is ", kl
      end program test_kind